package data.missions.fox_testbattle;

import com.fs.starfarer.api.fleet.FleetGoal;
import com.fs.starfarer.api.fleet.FleetMemberType;
import com.fs.starfarer.api.mission.FleetSide;
import com.fs.starfarer.api.mission.MissionDefinitionAPI;
import com.fs.starfarer.api.mission.MissionDefinitionPlugin;

public class MissionDefinition implements MissionDefinitionPlugin {

	public void defineMission(MissionDefinitionAPI api) {

		// Set up the fleets
		api.initFleet(FleetSide.PLAYER, "CCS", FleetGoal.ATTACK, false, 12);
		api.initFleet(FleetSide.ENEMY, "ISS", FleetGoal.ATTACK, true, 12);
		
		// Set a small blurb for each fleet that shows up on the mission detail and
		// mission results screens to identify each side.
		api.setFleetTagline(FleetSide.PLAYER, "Your Gang");
		api.setFleetTagline(FleetSide.ENEMY, "Chumps");
		
		// These show up as items in the bulleted list under 
		// "Tactical Objectives" on the mission detail screen
		api.addBriefingItem("Learn'em good!");			

		// Set up the player's fleet	
		api.addToFleet(FleetSide.PLAYER, "Fox_Battlecruiser_standard", FleetMemberType.SHIP, false);
		api.addToFleet(FleetSide.PLAYER, "Fox_Seige_standard", FleetMemberType.SHIP, false);
		api.addToFleet(FleetSide.PLAYER, "Fox_Seige_standard", FleetMemberType.SHIP, false);
		api.addToFleet(FleetSide.PLAYER, "Fox_Seige_standard", FleetMemberType.SHIP, false);
		api.addToFleet(FleetSide.PLAYER, "Fox_Cruiser_standard", FleetMemberType.SHIP, false);
		api.addToFleet(FleetSide.PLAYER, "Fox_Cruiser_standard", FleetMemberType.SHIP, false);		
		api.addToFleet(FleetSide.PLAYER, "Fox_Tank_standard", FleetMemberType.SHIP, false);	
		api.addToFleet(FleetSide.PLAYER, "Fox_Tank_standard", FleetMemberType.SHIP, false);	
		api.addToFleet(FleetSide.PLAYER, "Fox_Tank_standard", FleetMemberType.SHIP, false);			
		api.addToFleet(FleetSide.PLAYER, "Fox_Carrier_standard", FleetMemberType.SHIP, false);	
		api.addToFleet(FleetSide.PLAYER, "Fox_Carrier_standard", FleetMemberType.SHIP, false);
		api.addToFleet(FleetSide.PLAYER, "Fox_MDestroyer_standard", FleetMemberType.SHIP, false);
		api.addToFleet(FleetSide.PLAYER, "Fox_MDestroyer_standard", FleetMemberType.SHIP, false);	
		api.addToFleet(FleetSide.PLAYER, "Fox_MDestroyer_standard", FleetMemberType.SHIP, false);	
		api.addToFleet(FleetSide.PLAYER, "Fox_LDestroyer_standard", FleetMemberType.SHIP, false);
		api.addToFleet(FleetSide.PLAYER, "Fox_LDestroyer_standard", FleetMemberType.SHIP, false);
		api.addToFleet(FleetSide.PLAYER, "Fox_catamaran_standard", FleetMemberType.SHIP, false);
		api.addToFleet(FleetSide.PLAYER, "Fox_catamaran_standard", FleetMemberType.SHIP, false);
		api.addToFleet(FleetSide.PLAYER, "Fox_Battleship_standard", FleetMemberType.SHIP, true);
		api.addToFleet(FleetSide.PLAYER, "Fox_Strike_standard", FleetMemberType.SHIP, false);
		api.addToFleet(FleetSide.PLAYER, "Fox_Minelayer_standard", FleetMemberType.SHIP, false);
		api.addToFleet(FleetSide.PLAYER, "Fox_Minelayer_standard", FleetMemberType.SHIP, false);
		api.addToFleet(FleetSide.PLAYER, "Fox_Minelayer_standard", FleetMemberType.SHIP, false);
		api.addToFleet(FleetSide.PLAYER, "Fox_Minelayer_standard", FleetMemberType.SHIP, false);
		api.addToFleet(FleetSide.PLAYER, "Fox_Frigate_standard", FleetMemberType.SHIP, false);
		api.addToFleet(FleetSide.PLAYER, "Fox_Frigate_standard", FleetMemberType.SHIP, false);
		api.addToFleet(FleetSide.PLAYER, "fox_dfrigate_standard", FleetMemberType.SHIP, false);
		api.addToFleet(FleetSide.PLAYER, "fox_dfrigate_standard", FleetMemberType.SHIP, false);
		api.addToFleet(FleetSide.PLAYER, "fox_dfrigate_standard", FleetMemberType.SHIP, false);
		api.addToFleet(FleetSide.PLAYER, "Fox_Corvette_standard", FleetMemberType.SHIP, false);
		api.addToFleet(FleetSide.PLAYER, "Fox_Corvette_standard", FleetMemberType.SHIP, false);
		api.addToFleet(FleetSide.PLAYER, "Fox_Corvette_standard", FleetMemberType.SHIP, false);		
		api.addToFleet(FleetSide.PLAYER, "fox_mako_wing", FleetMemberType.FIGHTER_WING, false);
		api.addToFleet(FleetSide.PLAYER, "fox_mako_wing", FleetMemberType.FIGHTER_WING, false);
		api.addToFleet(FleetSide.PLAYER, "fox_heak_wing", FleetMemberType.FIGHTER_WING, false);		
		api.addToFleet(FleetSide.PLAYER, "fox_heak_wing", FleetMemberType.FIGHTER_WING, false);
		api.addToFleet(FleetSide.PLAYER, "fox_heak_wing", FleetMemberType.FIGHTER_WING, false);	
		api.addToFleet(FleetSide.PLAYER, "fox_firewall_wing", FleetMemberType.FIGHTER_WING, false);
		api.addToFleet(FleetSide.PLAYER, "fox_firewall_wing", FleetMemberType.FIGHTER_WING, false);
		api.addToFleet(FleetSide.PLAYER, "fox_arrowhead_wing", FleetMemberType.FIGHTER_WING, false);
		api.addToFleet(FleetSide.PLAYER, "fox_arrowhead_wing", FleetMemberType.FIGHTER_WING, false);
		api.addToFleet(FleetSide.PLAYER, "fox_arrowhead_wing", FleetMemberType.FIGHTER_WING, false);
		api.addToFleet(FleetSide.PLAYER, "fox_arrowhead_wing", FleetMemberType.FIGHTER_WING, false);
		api.addToFleet(FleetSide.PLAYER, "fox_arrowhead_wing", FleetMemberType.FIGHTER_WING, false);
		api.addToFleet(FleetSide.PLAYER, "fox_arrowhead_wing", FleetMemberType.FIGHTER_WING, false);
		// Set up the enemy fleet 

		api.addToFleet(FleetSide.ENEMY, "astral_Elite", FleetMemberType.SHIP, false);		
		api.addToFleet(FleetSide.ENEMY, "onslaught_Standard", FleetMemberType.SHIP, false);
		api.addToFleet(FleetSide.ENEMY, "conquest_Elite", FleetMemberType.SHIP, false);
		api.addToFleet(FleetSide.ENEMY, "odyssey_Balanced", FleetMemberType.SHIP, false);
		api.addToFleet(FleetSide.ENEMY, "eagle_Assault", FleetMemberType.SHIP, false);
		api.addToFleet(FleetSide.ENEMY, "falcon_Attack", FleetMemberType.SHIP, false);
		api.addToFleet(FleetSide.ENEMY, "falcon_Attack", FleetMemberType.SHIP, false);
		api.addToFleet(FleetSide.ENEMY, "venture_Balanced", FleetMemberType.SHIP, false);
		api.addToFleet(FleetSide.ENEMY, "apogee_Balanced", FleetMemberType.SHIP, false);
		api.addToFleet(FleetSide.ENEMY, "dominator_Assault", FleetMemberType.SHIP, false);
		api.addToFleet(FleetSide.ENEMY, "aurora_Balanced", FleetMemberType.SHIP, false);
		api.addToFleet(FleetSide.ENEMY, "doom_Strike", FleetMemberType.SHIP, false);
		api.addToFleet(FleetSide.ENEMY, "dominator_Support", FleetMemberType.SHIP, false);
		api.addToFleet(FleetSide.ENEMY, "condor_Strike", FleetMemberType.SHIP, false);
		api.addToFleet(FleetSide.ENEMY, "condor_FS", FleetMemberType.SHIP, false);
		api.addToFleet(FleetSide.ENEMY, "medusa_Attack", FleetMemberType.SHIP, false);
		api.addToFleet(FleetSide.ENEMY, "medusa_CS", FleetMemberType.SHIP, false);
		api.addToFleet(FleetSide.ENEMY, "sunder_Assault", FleetMemberType.SHIP, false);			
		api.addToFleet(FleetSide.ENEMY, "eagle_Assault", FleetMemberType.SHIP, false);
		api.addToFleet(FleetSide.ENEMY, "eagle_Balanced", FleetMemberType.SHIP, false);
		api.addToFleet(FleetSide.ENEMY, "enforcer_Assault", FleetMemberType.SHIP, false);
		api.addToFleet(FleetSide.ENEMY, "enforcer_CS", FleetMemberType.SHIP, false);		
		api.addToFleet(FleetSide.ENEMY, "hammerhead_Elite", FleetMemberType.SHIP, false);
		api.addToFleet(FleetSide.ENEMY, "hammerhead_Elite", FleetMemberType.SHIP, false);
		api.addToFleet(FleetSide.ENEMY, "hammerhead_Balanced", FleetMemberType.SHIP, false);
		api.addToFleet(FleetSide.ENEMY, "hammerhead_Balanced", FleetMemberType.SHIP, false);
		api.addToFleet(FleetSide.ENEMY, "hound_Standard", FleetMemberType.SHIP, false);
		api.addToFleet(FleetSide.ENEMY, "hound_Standard", FleetMemberType.SHIP, false);
		api.addToFleet(FleetSide.ENEMY, "hound_Standard", FleetMemberType.SHIP, false);
		api.addToFleet(FleetSide.ENEMY, "hound_Standard", FleetMemberType.SHIP, false);		
		api.addToFleet(FleetSide.ENEMY, "afflictor_Strike", FleetMemberType.SHIP, false);
		api.addToFleet(FleetSide.ENEMY, "shade_Assault", FleetMemberType.SHIP, false);		
		api.addToFleet(FleetSide.ENEMY, "tempest_Attack", FleetMemberType.SHIP, false);		
		api.addToFleet(FleetSide.ENEMY, "gemini_Standard", FleetMemberType.SHIP, false);
		api.addToFleet(FleetSide.ENEMY, "buffalo2_FS", FleetMemberType.SHIP, false);		
		api.addToFleet(FleetSide.ENEMY, "buffalo2_FS", FleetMemberType.SHIP, false);		
		api.addToFleet(FleetSide.ENEMY, "lasher_CS", FleetMemberType.SHIP, false);
		api.addToFleet(FleetSide.ENEMY, "lasher_Standard", FleetMemberType.SHIP, false);
		api.addToFleet(FleetSide.ENEMY, "hyperion_Strike", FleetMemberType.SHIP, false);
		api.addToFleet(FleetSide.ENEMY, "hyperion_Attack", FleetMemberType.SHIP, false);		
		api.addToFleet(FleetSide.ENEMY, "vigilance_FS", FleetMemberType.SHIP, false);
		api.addToFleet(FleetSide.ENEMY, "vigilance_AP", FleetMemberType.SHIP, false);			
		api.addToFleet(FleetSide.ENEMY, "lasher_Standard", FleetMemberType.SHIP, false);
		api.addToFleet(FleetSide.ENEMY, "lasher_CS", FleetMemberType.SHIP, false);
		api.addToFleet(FleetSide.ENEMY, "brawler_Assault", FleetMemberType.SHIP, false);
		api.addToFleet(FleetSide.ENEMY, "wolf_Strike", FleetMemberType.SHIP, false);
		api.addToFleet(FleetSide.ENEMY, "wolf_Assault", FleetMemberType.SHIP, false);		
		api.addToFleet(FleetSide.ENEMY, "tempest_Attack", FleetMemberType.SHIP, false);
		api.addToFleet(FleetSide.ENEMY, "tempest_Attack", FleetMemberType.SHIP, false);		
		api.addToFleet(FleetSide.ENEMY, "wolf_CS", FleetMemberType.SHIP, false);
		api.addToFleet(FleetSide.ENEMY, "brawler_Elite", FleetMemberType.SHIP, false);
		api.addToFleet(FleetSide.ENEMY, "brawler_Assault", FleetMemberType.SHIP, false);
		api.addToFleet(FleetSide.ENEMY, "thunder_wing", FleetMemberType.FIGHTER_WING, false);
		api.addToFleet(FleetSide.ENEMY, "thunder_wing", FleetMemberType.FIGHTER_WING, false);
		api.addToFleet(FleetSide.ENEMY, "thunder_wing", FleetMemberType.FIGHTER_WING, false);		
		api.addToFleet(FleetSide.ENEMY, "piranha_wing", FleetMemberType.FIGHTER_WING, false);
		api.addToFleet(FleetSide.ENEMY, "dagger_wing", FleetMemberType.FIGHTER_WING, false);
		api.addToFleet(FleetSide.ENEMY, "dagger_wing", FleetMemberType.FIGHTER_WING, false);
		api.addToFleet(FleetSide.ENEMY, "dagger_wing", FleetMemberType.FIGHTER_WING, false);		
		api.addToFleet(FleetSide.ENEMY, "gladius_wing", FleetMemberType.FIGHTER_WING, false);
		api.addToFleet(FleetSide.ENEMY, "gladius_wing", FleetMemberType.FIGHTER_WING, false);		
		api.addToFleet(FleetSide.ENEMY, "talon_wing", FleetMemberType.FIGHTER_WING, false);
		api.addToFleet(FleetSide.ENEMY, "talon_wing", FleetMemberType.FIGHTER_WING, false);
		
		// Set up the map.
		float width = 20000f;
		float height = 26000f;
		api.initMap((float)-width/2f, (float)width/2f, (float)-height/2f, (float)height/2f);
		
		float minX = -width/2;
		float minY = -height/2;
		
		for (int i = 0; i < 50; i++) {
			float x = (float) Math.random() * width - width/2;
			float y = (float) Math.random() * height - height/2;
			float radius = 100f + (float) Math.random() * 400f; 
			api.addNebula(x, y, radius);
		}
		
        //api.setBackgroundSpriteName("graphics/BR/backgrounds/obsidianBG.jpg");
		
		// Add objectives
		api.addObjective(minX + width * 0.25f, minY + height * 0.25f, "nav_buoy");
		api.addObjective(minX + width * 0.75f, minY + height * 0.25f, "comm_relay");
		api.addObjective(minX + width * 0.75f, minY + height * 0.75f, "nav_buoy");
		api.addObjective(minX + width * 0.25f, minY + height * 0.75f, "comm_relay");
		api.addObjective(minX + width * 0.5f, minY + height * 0.5f, "sensor_array");
		
		// // Add a randomized asteroid field, maybe
		// if ((float) Math.random() > 0.5f) {
		// 	api.addAsteroidField(10f + (float) Math.random() * (width - 20f), 10f + (float) Math.random() * (height - 20f), (float) Math.random() * 360f, (float) Math.random() * 1000 + 1000,
		// 						 20f, 70f, (int) ((float) Math.random() * 100 + 50));
		// }
	}

}






